"""
# :material-chart-sankey: Metrics API

The `nse.metrics` module provides additional metrics to evaluate model performance.

## Available Metrics

* **[FScore](./fscore)**: F1 Score Metric
* **[Snr](./snr)**: Signal-to-Noise Ratio (SNR) Metric
* **[Threshold](./threshold)**: Threshold Metrics
* **[Utils](./metric_utils)**: Metric Utilities

Please check [Keras Metrics](https://keras.io/api/metrics/) for additional metrics.

"""

from .flops import get_flops
from .fscore import MultiF1Score
from .metric_utils import compute_metrics, confusion_matrix
from .snr import Snr
from .threshold import get_predicted_threshold_indices, threshold_predictions
